# Uses of Interface
org.eclipse.core.commands.IParameter

Packages that use IParameter
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.e4.core.commands
org.eclipse.e4.core.commands.internal

## Uses of IParameter in org.eclipse.core.commands

Methods in org.eclipse.core.commands that return IParameter
Modifier and Type
Method
Description
`IParameter`
Command.`getParameter(String parameterId)`
Returns the parameter with the provided id or `null` if this command does not have a parameter with the id.
`final IParameter`
Parameterization.`getParameter()`
Returns the parameter that is being parameterized.
`IParameter[]`
Command.`getParameters()`
Returns the parameters for this command.
Methods in org.eclipse.core.commands with parameters of type IParameter
Modifier and Type
Method
Description
`void`
Command.`define(String name, String description, Category category, IParameter[] parameters)`
Defines this command by giving it a name, and possibly a description as well.
`void`
Command.`define(String name, String description, Category category, IParameter[] parameters, ParameterType returnType)`
Defines this command by giving it a name, and possibly a description as well.
`void`
Command.`define(String name, String description, Category category, IParameter[] parameters, ParameterType returnType, String helpContextId)`
Defines this command by giving it a name, and possibly a description as well.
Constructors in org.eclipse.core.commands with parameters of type IParameter
Modifier
Constructor
Description
``
`Parameterization(IParameter parameter, String value)`
Constructs a new instance of `Parameterization`.

## Uses of IParameter in org.eclipse.e4.core.commands

Methods in org.eclipse.e4.core.commands with parameters of type IParameter
Modifier and Type
Method
Description
`Command`
ECommandService.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters)`
`Command`
ECommandService.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters, String helpContextId)`

## Uses of IParameter in org.eclipse.e4.core.commands.internal

Methods in org.eclipse.e4.core.commands.internal with parameters of type IParameter
Modifier and Type
Method
Description
`Command`
CommandServiceImpl.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters)`
`Command`
CommandServiceImpl.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters, String helpContextId)`